You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@solr.apache.org by ja...@apache.org on 2022/03/28 20:06:08 UTC

[solr] branch main updated: SOLR-14401 Fix docker test for prometheus-exporter (#771)

This is an automated email from the ASF dual-hosted git repository.

janhoy pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/solr.git


The following commit(s) were added to refs/heads/main by this push:
     new 3588846  SOLR-14401 Fix docker test for prometheus-exporter (#771)
3588846 is described below

commit 3588846055749ac668e06ada56e7729b136ac4be
Author: Jan Høydahl <ja...@users.noreply.github.com>
AuthorDate: Mon Mar 28 22:06:04 2022 +0200

    SOLR-14401 Fix docker test for prometheus-exporter (#771)
---
 solr/docker/tests/cases/prometheus-exporter/test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/solr/docker/tests/cases/prometheus-exporter/test.sh b/solr/docker/tests/cases/prometheus-exporter/test.sh
index c615d3c..0aa01b1 100755
--- a/solr/docker/tests/cases/prometheus-exporter/test.sh
+++ b/solr/docker/tests/cases/prometheus-exporter/test.sh
@@ -41,7 +41,7 @@ docker exec --user=solr "${container_name}-solr" wget -q -O - 'http://localhost:
 echo "Checking prometheus data"
 data=$(docker exec --user=solr "$container_name" wget -q -O - 'http://localhost:8989/metrics')
 
-if ! grep -E -q 'solr_metrics_core_query_local_count{category="QUERY",searchHandler="/select",core="demo",base_url="http://solr-host:8983/solr",} [0-9]+.0' <<<"$data"; then
+if ! grep -E -q 'solr_metrics_core_requests_total{category="QUERY",handler="/select",internal="false",core="demo",base_url="http://solr-host:8983/solr",} [0-9]+.0' <<<"$data"; then
   echo "Test $TEST_NAME $tag failed; did not find correct data"
   echo "$data"
   exit 1